PreferenceReadonlyProperties:
  type: object
  properties:
    id:
      type: integer
      description: Идентификатор
      example: 1
    customer_id:
      type: integer
      description: Идентификатор клиента
      example: 2
    attribute_name:
      type: string
      description: Название атрибута
      example: brand
    attribute_value:
      type: string
      description: Значение атрибута атрибута
      example: IKEA
    product_count:
      type: integer
      description: Колличество купленных товаров
      example: 15
    product_sum:
      type: integer
      description: Cумма стоимости купленных товаров
      example: 155000
  required:
    - id
    - customer_id
    - attribute_name
    - attribute_value
    - product_count
    - product_sum

Preference:
  allOf:
    - $ref: '#/PreferenceReadonlyProperties'

SearchPreferencesFilter:
  type: object

SearchPreferencesRequest:
  type: object
  properties:
    sort:
      $ref: '../../common_schemas.yaml#/RequestBodySort'
    filter:
      $ref: '#/SearchPreferencesFilter'
    include:
      $ref: '../../common_schemas.yaml#/RequestBodyInclude'
    pagination:
      $ref: '../../common_schemas.yaml#/RequestBodyPagination'

SearchPreferencesResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/Preference'
    meta:
      type: object
      properties:
        pagination:
          $ref: '../../common_schemas.yaml#/ResponseBodyPagination'
  required:
    - data
    - meta
